pidgin: _PurpleRequestField Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleRequestField Struct Reference

A request field. More...

`#include <request.h>`

## Data Fields
PurpleRequestFieldType | type
PurpleRequestFieldGroup * | group
char * | id
char * | label
char * | type_hint
gboolean | visible
gboolean | required
union {
struct {
gboolean multiline
gboolean masked
gboolean editable
char * default_value
char * value
} string
struct {
int default_value
int value
} integer
struct {
gboolean default_value
gboolean value
} boolean
struct {
int default_value
int value
GList * labels
} choice
struct {
GList * items
GList * icons
GHashTable * item_data
GList * selected
GHashTable * selected_table
gboolean multiple_selection
} list
struct {
PurpleAccount * default_account
PurpleAccount * account
gboolean show_all
PurpleFilterAccountFunc filter_func
} account
struct {
unsigned int scale_x
unsigned int scale_y
const char * buffer
gsize size
} image
} | u
void * | ui_data

## Detailed Description

A request field.

Definition at line 104 of file request.h.

## Field Documentation

## ◆ account

PurpleAccount* _PurpleRequestField::account

Definition at line 166 of file request.h.

## ◆ buffer

const char* _PurpleRequestField::buffer

Definition at line 177 of file request.h.

## ◆ default_account

PurpleAccount* _PurpleRequestField::default_account

Definition at line 165 of file request.h.

## ◆ default_value [1/3]

char* _PurpleRequestField::default_value

Definition at line 123 of file request.h.

## ◆ default_value [2/3]

int _PurpleRequestField::default_value

Definition at line 130 of file request.h.

## ◆ default_value [3/3]

gboolean _PurpleRequestField::default_value

Definition at line 137 of file request.h.

## ◆ editable

gboolean _PurpleRequestField::editable

Definition at line 122 of file request.h.

## ◆ filter_func

PurpleFilterAccountFunc _PurpleRequestField::filter_func

Definition at line 169 of file request.h.

## ◆ group

PurpleRequestFieldGroup* _PurpleRequestField::group

Definition at line 107 of file request.h.

## ◆ icons

GList* _PurpleRequestField::icons

Definition at line 154 of file request.h.

## ◆ id

char* _PurpleRequestField::id

Definition at line 109 of file request.h.

## ◆ item_data

GHashTable* _PurpleRequestField::item_data

Definition at line 155 of file request.h.

## ◆ items

GList* _PurpleRequestField::items

Definition at line 153 of file request.h.

## ◆ label

char* _PurpleRequestField::label

Definition at line 110 of file request.h.

## ◆ labels

GList* _PurpleRequestField::labels

Definition at line 147 of file request.h.

## ◆ masked

gboolean _PurpleRequestField::masked

Definition at line 121 of file request.h.

## ◆ multiline

gboolean _PurpleRequestField::multiline

Definition at line 120 of file request.h.

## ◆ multiple_selection

gboolean _PurpleRequestField::multiple_selection

Definition at line 159 of file request.h.

## ◆ required

gboolean _PurpleRequestField::required

Definition at line 114 of file request.h.

## ◆ scale_x

unsigned int _PurpleRequestField::scale_x

Definition at line 175 of file request.h.

## ◆ scale_y

unsigned int _PurpleRequestField::scale_y

Definition at line 176 of file request.h.

## ◆ selected

GList* _PurpleRequestField::selected

Definition at line 156 of file request.h.

## ◆ selected_table

GHashTable* _PurpleRequestField::selected_table

Definition at line 157 of file request.h.

## ◆ show_all

gboolean _PurpleRequestField::show_all

Definition at line 167 of file request.h.

## ◆ size

gsize _PurpleRequestField::size

Definition at line 178 of file request.h.

## ◆ type

PurpleRequestFieldType _PurpleRequestField::type

Definition at line 106 of file request.h.

## ◆ type_hint

char* _PurpleRequestField::type_hint

Definition at line 111 of file request.h.

## ◆ ui_data

void* _PurpleRequestField::ui_data

Definition at line 183 of file request.h.

## ◆ value [1/3]

char* _PurpleRequestField::value

Definition at line 124 of file request.h.

## ◆ value [2/3]

int _PurpleRequestField::value

Definition at line 131 of file request.h.

## ◆ value [3/3]

gboolean _PurpleRequestField::value

Definition at line 138 of file request.h.

## ◆ visible

gboolean _PurpleRequestField::visible

Definition at line 113 of file request.h.

The documentation for this struct was generated from the following file:

- request.h